From 5f08dc8c0289dc9a9b9e9bfe05e65da0db65d2fc Mon Sep 17 00:00:00 2001
From: Zhuling <zhuling8@huawei.com>
Date: Thu, 22 Jul 2021 10:15:15 +0800
Subject: [PATCH 32/54] fix dump fail problem with null seek op

Fix file dumping fail problem when the file seek op is null.

Signed-off-by: Jingxian He <hejingxian@huawei.com>
---
 criu/files-reg.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/criu/files-reg.c b/criu/files-reg.c
index 6747a3a..6bbcbee 100644
--- a/criu/files-reg.c
+++ b/criu/files-reg.c
@@ -2247,9 +2247,12 @@ static int do_open_reg(int ns_root_fd, struct reg_file_info *rfi, void *arg)
 	if (!(rfi->rfe->flags & O_PATH)) {
 		if (rfi->rfe->pos != -1ULL &&
 		    lseek(fd, rfi->rfe->pos, SEEK_SET) < 0) {
-			pr_perror("Can't restore file pos");
-			close(fd);
-			return -1;
+			pr_info("No ability to restore file pos");
+			if (errno != ESPIPE) {
+				pr_perror("Can't restore file pos");
+				close(fd);
+				return -1;
+			}
 		}
 	}
 
-- 
2.33.1

